package com.e6yun.project.sdk.api.pojo.basic;

import com.google.common.base.MoreObjects;

/**
 * @Description
 * @Author ningkun@e6yun.com
 * @Created Date: 2021/7/13 16:54
 * @ClassName EquipInfoHistoryVO
 * @Remark
 */
public class EquipInfoHistoryVO {
    /**
     * 设备编码
     **/
    private String equipCode;
    /**
     * 定位时间
     **/
    private String gpsTime;
    /**
     * 速度
     **/
    private String speed;
    /**
     * 里程
     **/
    private String odometer;
    /**
     * 纬度
     **/
    private String lat;
    /**
     * 经度
     **/
    private String lon;
    /**
     * 设备方向
     **/
    private String direction;
    /**
     * 状态
     **/
    private String status;
    /**
     * 省
     **/
    private String provice;
    /**
     * 市
     **/
    private String city;
    /**
     * 区
     **/
    private String district;
    /**
     * 路名
     **/
    private String roadName;
    /**
     * 温度1
     **/
    private String t1;
    /**
     * 温度2
     **/
    private String t2;
    /**
     * 温度3
     **/
    private String t3;
    /**
     * 温度4
     **/
    private String t4;
    /**
     * 湿度1
     **/
    private String h1;
    /**
     * 湿度2
     **/
    private String h2;
    /**
     * 湿度3
     **/
    private String h3;
    /**
     * 湿度4
     **/
    private String h4;

    public String getEquipCode() {
        return equipCode;
    }

    public void setEquipCode(String equipCode) {
        this.equipCode = equipCode;
    }

    public String getGpsTime() {
        return gpsTime;
    }

    public void setGpsTime(String gpsTime) {
        this.gpsTime = gpsTime;
    }

    public String getSpeed() {
        return speed;
    }

    public void setSpeed(String speed) {
        this.speed = speed;
    }

    public String getOdometer() {
        return odometer;
    }

    public void setOdometer(String odometer) {
        this.odometer = odometer;
    }

    public String getLat() {
        return lat;
    }

    public void setLat(String lat) {
        this.lat = lat;
    }

    public String getLon() {
        return lon;
    }

    public void setLon(String lon) {
        this.lon = lon;
    }

    public String getDirection() {
        return direction;
    }

    public void setDirection(String direction) {
        this.direction = direction;
    }

    public String getStatus() {
        return status;
    }

    public void setStatus(String status) {
        this.status = status;
    }

    public String getProvice() {
        return provice;
    }

    public void setProvice(String provice) {
        this.provice = provice;
    }

    public String getCity() {
        return city;
    }

    public void setCity(String city) {
        this.city = city;
    }

    public String getDistrict() {
        return district;
    }

    public void setDistrict(String district) {
        this.district = district;
    }

    public String getRoadName() {
        return roadName;
    }

    public void setRoadName(String roadName) {
        this.roadName = roadName;
    }

    public String getT1() {
        return t1;
    }

    public void setT1(String t1) {
        this.t1 = t1;
    }

    public String getT2() {
        return t2;
    }

    public void setT2(String t2) {
        this.t2 = t2;
    }

    public String getT3() {
        return t3;
    }

    public void setT3(String t3) {
        this.t3 = t3;
    }

    public String getT4() {
        return t4;
    }

    public void setT4(String t4) {
        this.t4 = t4;
    }

    public String getH1() {
        return h1;
    }

    public void setH1(String h1) {
        this.h1 = h1;
    }

    public String getH2() {
        return h2;
    }

    public void setH2(String h2) {
        this.h2 = h2;
    }

    public String getH3() {
        return h3;
    }

    public void setH3(String h3) {
        this.h3 = h3;
    }

    public String getH4() {
        return h4;
    }

    public void setH4(String h4) {
        this.h4 = h4;
    }

    @Override
    public String toString() {
        return MoreObjects.toStringHelper(this)
                .add("equipCode", equipCode)
                .add("gpsTime", gpsTime)
                .add("speed", speed)
                .add("odometer", odometer)
                .add("lat", lat)
                .add("lon", lon)
                .add("direction", direction)
                .add("status", status)
                .add("provice", provice)
                .add("city", city)
                .add("district", district)
                .add("roadName", roadName)
                .add("t1", t1)
                .add("t2", t2)
                .add("t3", t3)
                .add("t4", t4)
                .add("h1", h1)
                .add("h2", h2)
                .add("h3", h3)
                .add("h4", h4)
                .toString();
    }
}
